path: /build/build/upx-bin-app-arch-5.0.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-arch/upx-bin -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-arch/upx-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/upx-bin && luet-portage --dir /pkgdir/upx-bin
    app-arch/upx-bin && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:d28289c0e6ce540749048d087a4481abd87abc9bf2e83f93289d759b70a714bf
  package:
    name: upx-bin
    version: 5.0.1
    category: app-arch
    use_flags:
    - -doc
    requires:
    - name: gnu-efi
      version: '>=0'
      category: sys-boot
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Ultimate Packer for eXecutables, binary version with proprietary
      NRV compression
    uri:
    - http://upx.sourceforge.net/
    license: GPL-2
    buildtimestamp: 2025-10-13 17:55:08.319787567 +0000 UTC m=+384.428109999
    labels:
      IUSE: doc
      RDEPEND: '!app-arch/upx-ucl'
      emerge.packages: app-arch/upx-bin
      kit: dev-kit
      original.package.name: app-arch/upx-bin
      original.package.slot: "0"
      original.package.version: 5.0.1
    treedir: /build/packages
  package_dir: /pkgdir/upx-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 67aebc5fbf31a347395d5e02a8d10c5b613dc9c572b01e7215f69d7506e7679c
compressiontype: zstd
files:
- usr/bin/upx
- usr/share/doc/upx-bin-5.0.1/NEWS.bz2
- usr/share/doc/upx-bin-5.0.1/README.bz2
- usr/share/man/man1/upx.1.bz2
- var/db/pkg/app-arch/upx-bin-5.0.1/BUILD_TIME
- var/db/pkg/app-arch/upx-bin-5.0.1/CATEGORY
- var/db/pkg/app-arch/upx-bin-5.0.1/CBUILD
- var/db/pkg/app-arch/upx-bin-5.0.1/CFLAGS
- var/db/pkg/app-arch/upx-bin-5.0.1/CHOST
- var/db/pkg/app-arch/upx-bin-5.0.1/CONTENTS
- var/db/pkg/app-arch/upx-bin-5.0.1/COUNTER
- var/db/pkg/app-arch/upx-bin-5.0.1/CTARGET
- var/db/pkg/app-arch/upx-bin-5.0.1/CXX
- var/db/pkg/app-arch/upx-bin-5.0.1/CXXFLAGS
- var/db/pkg/app-arch/upx-bin-5.0.1/DEFINED_PHASES
- var/db/pkg/app-arch/upx-bin-5.0.1/DESCRIPTION
- var/db/pkg/app-arch/upx-bin-5.0.1/EAPI
- var/db/pkg/app-arch/upx-bin-5.0.1/FEATURES
- var/db/pkg/app-arch/upx-bin-5.0.1/HOMEPAGE
- var/db/pkg/app-arch/upx-bin-5.0.1/INHERITED
- var/db/pkg/app-arch/upx-bin-5.0.1/IUSE
- var/db/pkg/app-arch/upx-bin-5.0.1/IUSE_EFFECTIVE
- var/db/pkg/app-arch/upx-bin-5.0.1/KEYWORDS
- var/db/pkg/app-arch/upx-bin-5.0.1/LDFLAGS
- var/db/pkg/app-arch/upx-bin-5.0.1/LICENSE
- var/db/pkg/app-arch/upx-bin-5.0.1/NEEDED
- var/db/pkg/app-arch/upx-bin-5.0.1/NEEDED.ELF.2
- var/db/pkg/app-arch/upx-bin-5.0.1/PF
- var/db/pkg/app-arch/upx-bin-5.0.1/QA_PREBUILT
- var/db/pkg/app-arch/upx-bin-5.0.1/RDEPEND
- var/db/pkg/app-arch/upx-bin-5.0.1/RESTRICT
- var/db/pkg/app-arch/upx-bin-5.0.1/SIZE
- var/db/pkg/app-arch/upx-bin-5.0.1/SLOT
- var/db/pkg/app-arch/upx-bin-5.0.1/USE
- var/db/pkg/app-arch/upx-bin-5.0.1/environment.bz2
- var/db/pkg/app-arch/upx-bin-5.0.1/repository
- var/db/pkg/app-arch/upx-bin-5.0.1/upx-bin-5.0.1.ebuild
package_cacheimage: ""
runtime:
  name: upx-bin
  version: 5.0.1
  category: app-arch
  use_flags:
  - -doc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Ultimate Packer for eXecutables, binary version with proprietary NRV
    compression
  uri:
  - http://upx.sourceforge.net/
  license: GPL-2
  labels:
    IUSE: doc
    RDEPEND: '!app-arch/upx-ucl'
    emerge.packages: app-arch/upx-bin
    kit: dev-kit
    original.package.name: app-arch/upx-bin
    original.package.slot: "0"
    original.package.version: 5.0.1
